Bug 195825 - after loading of matrox framebuffer modules, no /dev/fb0 is created
after loading of matrox framebuffer modules, no /dev/fb0 is created
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 216176
  Show dependency treegraph
 
Reported: 2006-06-18 04:58 EDT by Peter Bieringer
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 00:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-06-18 04:58:20 EDT
Description of problem:
In FC4, I used following mechanism to enable framebuffer screen during bootup:




Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2133_FC5
udev-084-13

How reproducible:
Always

Steps to Reproduce:
1. Install a Matrox G400 card

2. create/extend following files
# cat /etc/rc.modules

# Framebuffer
modprobe fb && i=0; while [ ! -c /dev/fb0 -a $i -le 9 ]; do sleep 1; i=$[ $i + 1
]; done; if [ -c /dev/fb0 ]; then /usr/sbin/fbset --all 1280x1024-60;
/usr/sbin/fbset --all -upper 34 -lower 5; else false; fi

# grep "^alias fb" /etc/modprobe.conf
alias fb matroxfb_base


3. reboot

Actual results:

Framebuffer modules are loaded, but no /dev/fb0 would be created by udev:

# lsmod|grep matrox
matroxfb_base          29725  0
matroxfb_DAC1064       10561  1 matroxfb_base
matroxfb_accel          4417  1 matroxfb_base
matroxfb_Ti3026         5953  1 matroxfb_base
matroxfb_g450           7233  1 matroxfb_base
g450_pll                5953  2 matroxfb_DAC1064,matroxfb_g450
matroxfb_misc           8513  5
matroxfb_base,matroxfb_DAC1064,matroxfb_Ti3026,matroxfb_g450,g450_pll
matrox_w1               4033  0
wire                   24929  1 matrox_w1

# ls /lib/modules/2.6.16-1.2133_FC5/kernel/drivers/video/matrox/
g450_pll.ko      matroxfb_accel.ko  matroxfb_crtc2.ko    matroxfb_g450.ko  
matroxfb_misc.ko
i2c-matroxfb.ko  matroxfb_base.ko   matroxfb_DAC1064.ko  matroxfb_maven.ko 
matroxfb_Ti3026.ko


Expected results:
/dev/fb0 would be created to use fbset

Additional info:
# lspci:
03:00.0 VGA compatible controller: Matrox Graphics, Inc. G400/G450 (rev 05)
(prog-if 00 [VGA])
        Subsystem: Matrox Graphics, Inc. Marvel G400 AGP
        Flags: bus master, medium devsel, latency 32, IRQ 5
        Memory at e4000000 (32-bit, prefetchable) [size=32M]
        Memory at e8000000 (32-bit, non-prefetchable) [size=16K]
        Memory at e9000000 (32-bit, non-prefetchable) [size=8M]
        [virtual] Expansion ROM at e8010000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [f0] AGP version 2.0

BTW: strange that I didn't found any line in kernel log about loading the Matrox
modules except:
matrox_w1 0000:03:00.0: Matrox G400 GPIO transport layer for 1-wire.

Looks like modules didn't recognize the Matrox card at all.

BTW2: it worked well using FC4.
Comment 1 Peter Bieringer 2006-06-27 14:29:39 EDT
Same happen with 2.6.17-1.2139_FC5
Comment 2 Dave Jones 2006-10-16 15:40:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Peter Bieringer 2006-10-18 14:47:01 EDT
Same happen with 2.6.18-1.2200.fc5
Comment 4 Dave Jones 2006-11-05 16:06:17 EST
does it work again if you move the w1 module out of the way..

mv /lib/modules/`uname -r`/kernel/drivers/w1/masters/matrox_w1.ko ~/

if my suspicion is right, that module is 'claiming' the device, and then
preventing anything else from accessing it.
Comment 5 Peter Bieringer 2006-11-07 16:01:33 EST
Your hint is working!

BTW: same happen with 2.6.18-1.2798.fc6, one can change the version to FC6 or
clone this bug.
Comment 6 Dave Jones 2006-11-12 00:49:39 EST
should be fixed in 2.6.18-1.2239.fc5 now in updates.
Comment 7 Peter Bieringer 2006-11-12 04:18:03 EST
When would it be fixed for FC6 (meantime system was upgraded)?
Comment 8 Dave Jones 2006-11-12 16:57:35 EST
yes, latest update kernel there has the same change.

(W1 got disabled -- no big deal, nothing used it).

Note You need to log in before you can comment on or make changes to this bug.